# Uses of Class
javax.swing.UIDefaults

Packages that use UIDefaults
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of UIDefaults in javax.swing

Methods in javax.swing that return UIDefaults
Modifier and Type
Method
Description
`UIDefaults`
LookAndFeel.`getDefaults()`
Returns the look and feel defaults.
`static UIDefaults`
UIManager.`getDefaults()`
Returns the defaults.
`static UIDefaults`
UIManager.`getLookAndFeelDefaults()`
Returns the `UIDefaults` from the current look and feel, that were obtained at the time the look and feel was installed.
Methods in javax.swing with parameters of type UIDefaults
Modifier and Type
Method
Description
`Object`
UIDefaults.ActiveValue.`createValue(UIDefaults table)`
Creates the value retrieved from the `UIDefaults` table.
`Object`
UIDefaults.LazyInputMap.`createValue(UIDefaults table)`
Creates an `InputMap` with the bindings that are passed in.
`Object`
UIDefaults.LazyValue.`createValue(UIDefaults table)`
Creates the actual value retrieved from the `UIDefaults` table.
`Object`
UIDefaults.ProxyLazyValue.`createValue(UIDefaults table)`
Creates the value retrieved from the `UIDefaults` table.

## Uses of UIDefaults in javax.swing.plaf.basic

Methods in javax.swing.plaf.basic that return UIDefaults
Modifier and Type
Method
Description
`UIDefaults`
BasicLookAndFeel.`getDefaults()`
Returns the look and feel defaults.
Methods in javax.swing.plaf.basic with parameters of type UIDefaults
Modifier and Type
Method
Description
`protected void`
BasicLookAndFeel.`initClassDefaults(UIDefaults table)`
Populates `table` with mappings from `uiClassID` to the fully qualified name of the ui class.
`protected void`
BasicLookAndFeel.`initComponentDefaults(UIDefaults table)`
Populates `table` with the defaults for the basic look and feel.
`protected void`
BasicLookAndFeel.`initSystemColorDefaults(UIDefaults table)`
Populates `table` with system colors.
`protected void`
BasicLookAndFeel.`loadSystemColors(UIDefaults table, String[] systemColors, boolean useNative)`
Populates `table` with the `name-color` pairs in `systemColors`.

## Uses of UIDefaults in javax.swing.plaf.metal

Methods in javax.swing.plaf.metal that return UIDefaults
Modifier and Type
Method
Description
`UIDefaults`
MetalLookAndFeel.`getDefaults()`
Returns the look and feel defaults.
Methods in javax.swing.plaf.metal with parameters of type UIDefaults
Modifier and Type
Method
Description
`void`
MetalTheme.`addCustomEntriesToTable(UIDefaults table)`
Adds values specific to this theme to the defaults table.
`void`
OceanTheme.`addCustomEntriesToTable(UIDefaults table)`
Add this theme's custom entries to the defaults table.
`protected void`
MetalLookAndFeel.`initClassDefaults(UIDefaults table)`
Populates `table` with mappings from `uiClassID` to the fully qualified name of the ui class.
`protected void`
MetalLookAndFeel.`initComponentDefaults(UIDefaults table)`
Populates `table` with the defaults for metal.
`protected void`
MetalLookAndFeel.`initSystemColorDefaults(UIDefaults table)`
Populates `table` with system colors.

## Uses of UIDefaults in javax.swing.plaf.multi

Methods in javax.swing.plaf.multi that return UIDefaults
Modifier and Type
Method
Description
`UIDefaults`
MultiLookAndFeel.`getDefaults()`
Creates, initializes, and returns the look and feel specific defaults.

## Uses of UIDefaults in javax.swing.plaf.synth

Methods in javax.swing.plaf.synth that return UIDefaults
Modifier and Type
Method
Description
`UIDefaults`
SynthLookAndFeel.`getDefaults()`
Returns the defaults for this SynthLookAndFeel.